(function($) {
  $(document).ready(function(){

    $("#createProfile").click(function() {

      var newProfileName = $.trim($('#profileName').val());

      if(newProfileName == "") {
        alert_box("The profile name cannot be blank.");
        return false;
      }

      confirmation(
        "This action will reset the profile editor to the default profile and unsaved work will be lost?",
        function() {
          var result = window.external.createNewProfile(newProfileName);

          if(result == "") {
            alert_box("The new profile could not be created.  Make sure that a profile named '" + newProfileName + "' does not already exist.");
          } else {
            _useTemplate('profile');
            alert_box("The new profile has been created");
            enableQuickSave();
            $('#saveProfileQuick').trigger('click');
          }
        }
        );

      return false;
    });

  });
})(jQuery);
