function clearEditor() {
 /* while(editor.lineCount() > 1) {
    editor.removeLine(0);
  }*/
  editor.replaceRange(
      "",
      {'ch':'0', 'line':'0'},
      {'ch':'0', 'line': editor.lineCount() - 1}
  );
  editor.setLine(0, "");
  editor.setCursor(0,0);


}

function replaceEditorContent(content) {
  clearEditor();
  editor.replaceRange(content, {'ch':'0', 'line':'0'});
  editor.setCursor(0, 0);
  editor.focus();
}

function updateCurrentFile() {
  var currentFile = window.external.currentEditorFile();

  if(currentFile == "") {
    $('.currentFile').html('-');
  } else {
    $('.currentFile').html(currentFile);
  }
}

function insertInCurrentTag(str) {
  editor.focus();
  var lineNum = editor.getCursor().line;
  var line = editor.getLine(lineNum);

  if(line.indexOf("</") != -1) return;

  var start = line.indexOf("/>");
  if(start == -1) start = line.indexOf(">");

  if(start != -1) {
    editor.setCursor(lineNum, start);
    editor.replaceRange(" " + str + " ", editor.getCursor());
  }
}

/**
 * Inserts a string into the current position in the editor
 */
function insert(str) {

  if($.trim(editor.getLine(editor.getCursor().line)) != "") {
    blank();
  }

  editor.indentLine(editor.getCursor().line);
  editor.replaceRange(str, editor.getCursor());

  editor.indentLine(editor.getCursor().line);
  blank();

  editor.focus();
}

function blank() {
  editor.focus();
  editor.replaceRange("\n", editor.getCursor());
  indent();
}

/**
 * Indent the current line
 */
function indent() {
  editor.focus();
  editor.indentLine(editor.getCursor().line);
}
